package com.dk.mdm.service.mac;

import com.dk.mdm.model.pojo.mac.OtherPayableItem;
import com.dk.mdm.mapper.mac.OtherPayableItemMapper;
import com.dk.common.service.BaseService;
import com.dk.common.mapper.BaseMapper;
import org.springframework.stereotype.Service;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class OtherPayableItemService extends BaseService<OtherPayableItem> {

	@Override
	public String getPrimaryKey() {
		return "item_id";
	}

	@Override
	public BaseMapper<OtherPayableItem> getRepository() {
		return otherPayableItemMapper;
	}

	@Autowired
	private OtherPayableItemMapper otherPayableItemMapper;

}
